PAPI_event_name_to_code(3)

NAME
PAPI_event_name_to_code - Convert a name to a numeric hardware event code.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
    int PAPI_event_name_to_code( const char * EventName, int * EventCode );

PAPI_event_name_to_code is used to translate an ASCII PAPI event name into an integer PAPI event code.

Parameters
    *EventCode The numeric code for the event.
    *EventName A string containing the event name as listed in PAPI_presets or discussed in PAPI_native.

Return values
    PAPI_EINVAL One or more of the arguments is invalid.
    PAPI_ENOTPRESET The hardware event specified is not a valid PAPI preset.
    PAPI_ENOINIT The PAPI library has not been initialized.
    PAPI_ENOEVNT The hardware event is not available on the underlying hardware.

Examples:

    int EventCode, EventSet = PAPI_NULL;
    // Convert to integer
    if ( PAPI_event_name_to_code( "PAPI_TOT_INS", &EventCode ) != PAPI_OK )
    handle_error( 1 );
    // Create the EventSet
    if ( PAPI_create_eventset( &EventSet ) != PAPI_OK )
    handle_error( 1 );
    // Add Total Instructions Executed to our EventSet
    if ( PAPI_add_event( EventSet, EventCode ) != PAPI_OK )
    handle_error( 1 );

See also
    PAPI_event_code_to_name

    PAPI_remove_event

    PAPI_get_event_info

    PAPI_enum_event

    PAPI_add_event

    PAPI_add_named_event

    PAPI_presets

    PAPI_native

Author

Generated automatically by Doxygen for PAPI from the source code.